Subject: Re: bug#26830: Allow services to implement a 'reload' action

From: Ludovic Courtès <[email-masked]>
Date: Thu, 24 Mar 2022 09:41:46 +0100

Hi,

zimoun <[email-masked]> skribis:

> What is then the status of this patch adding ’upgrade’?  Does it still
> make sense?

I think having ‘reload’ actions for nginx, dovecot, etc. whereby the
daemon reloads its config without stopping still makes sense.

I wonder if the patch as-is would achieve that though, because in
general those daemons are run with ‘-c /gnu/store/…-config’, so
reloading would just reload the same file.

Ludo’.